import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const vetFarmOutProvinceGetDashboard = createAsyncThunk(
  "VET_OUT_PRO_DASHBOARD",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `${
        d.province ? d.province + "parent-company-" : ""
      }dashboard-out-province-poultry-requests`,
      {
        params: {
          date1: d.selectedDate1,
          date2: d.selectedDate2,
          role: getRoleFromUrl(),
          filter: "search",
          value: d.text ? d.text : "",
          state: "accepted",
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
